Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001508SpeedFanFan controlpublic2009-12-04 05:022011-08-31 15:50
Reporterinspiron1520 
Assigned Toalfredo 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDell Precision 670 WorkstationOSWindowsOS Version7
Product Version4.40 beta 
Target VersionFixed in Version4.44 
Summary0001508: Program fails to write changes to speedfanparams.cfg
DescriptionSee steps to reproduce. "Enable DELL support" setting is required on my Dell Precision Workstation 670 in order to be able to control the fan speed. Otherwise, changing the fan speed does nothing. With the beta version, I was able to play with it a bit and change the setting manually in the cfg file. Even after doing this, some times when I loaded the program it worked fine, and other times it would not control the fan speed.
OS is Windows 7 Ultimate - Retail.
Thank you for your help.
Steps To ReproduceClick "Configure" button
Click "Options" tab
Place check mark next to "Enable DELL support"
Click "OK"
Close Program
Setting is not written to speedfanparams.cfg file
Still reads "false"
Additional InformationSpeedFan is awesome!! For some reason the Dell factory default fan speeds basically let the machine start on fire before deciding it's time to speed up the fans.
TagsNo tags attached.
Motherboard ModelDell Precision 670 Workstation
Video Card Model
Attached Files

- Relationships

-  Notes
(0005055)
inspiron1520 (reporter)
2009-12-04 05:10

I can't find where to edit this bug report....
I made a mistake. The program IS writing the changes to the CFG file. What is happening is when the program starts it is removing the change. Sorry, I didn't notice this. Please see log below:

Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
Scanning ISA BUS at $0290...
SuperIO Chip=LPC47M534
Sensor's Base Address : $0C00
none at $3E8 msg : DELL Sensor constructor starting...
none at $3E8 msg : DFC : c=01A3 d=0100 s1=0000 s2=0000
none at $3E8 msg : DFC : c=01A3 d=0101 s1=0000 s2=0000
none at $3E8 msg : ERROR info1 : CMD=$10A3 DATA=$0000 S1=$0000 S2=$0000
none at $3E8 msg : ERROR info1 : CMD=$10A3 DATA=$0001 S1=$0000 S2=$0000
none at $3E8 msg : ERROR info1 : CMD=$10A3 DATA=$0002 S1=$0000 S2=$0000
none at $3E8 msg : ERROR info1 : CMD=$10A3 DATA=$0003 S1=$0000 S2=$0000
none at $3E8 msg : ERROR info1 : CMD=$10A3 DATA=$0004 S1=$0000 S2=$0000
none at $3E8 msg : ERROR info fan0 : CMD=$02A3 DATA=$0000 S1=$0000 S2=$0000
none at $3E8 msg : ERROR info fan1 : CMD=$02A3 DATA=$0001 S1=$0000 S2=$0000
none at $3E8 msg : ERROR info fan2 : CMD=$02A3 DATA=$0002 S1=$0000 S2=$0000
DELL Support Enabling has been disabled
because SYSTEM CALLS were unsuccessful
Please, report if you think this is an error
Scanning Intel SMBus at $E8A0...
EMC6W201 (ID=$B1) found on SMBus at $2E
Found WDC WD1600JS-22NCB1 on AdvSMART
Loaded 0 events
(0005056)
inspiron1520 (reporter)
2009-12-05 06:08

Also, I forgot to mention I have the program set to use Windows XP SP3 Compatibility mode. If I do not run the program in compatibility mode, and i set the Dell flag in options, the next time I start the program i get a "Privileged Instruction" error when the Dell sensor constructor starts Then an "Access violation at address -------- in module 'speedfan.exe'. Read of address --------"
Actual address block numbers vary.
(0005057)
inspiron1520 (reporter)
2009-12-05 06:09

version is 4.40 final not beta.

- Issue History
Date Modified Username Field Change
2009-12-04 05:02 inspiron1520 New Issue
2009-12-04 05:02 inspiron1520 Status new => assigned
2009-12-04 05:02 inspiron1520 Assigned To => alfredo
2009-12-04 05:02 inspiron1520 Motherboard Model => Dell Precision 670 Workstation
2009-12-04 05:10 inspiron1520 Note Added: 0005055
2009-12-05 06:08 inspiron1520 Note Added: 0005056
2009-12-05 06:09 inspiron1520 Note Added: 0005057
2011-08-31 15:50 alfredo Status assigned => resolved
2011-08-31 15:50 alfredo Resolution open => fixed
2011-08-31 15:50 alfredo Fixed in Version => 4.44


Copyright © 2000 - 2018 MantisBT Team
Time: 0.2792 seconds.
memory usage: 8,048 KB
Powered by Mantis Bugtracker